# MatShift

Computes Y = Y + a I, where a is a PetscScalar and I is the identity matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatShift(Mat Y,PetscScalar a)

Collective on Mat

### Input Parameters

| Y | - the matrices
| a | - the PetscScalar

### Keywords

matrix, add, shift

### See Also

MatDiagonalSet()

Level:intermediate
Location: src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/snes/examples/tutorials/ex31.c.html